Summary: OLPC XO boot animation.
Name: bootanim
Version: 1.3
Release: 2
License: GPL
Group: System Environment/Base
URL: http://dev.laptop.org/git?p=users/cscott/act-gui
Source0: %{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: python >= 2.5, initscripts, zlib
BuildPrereq: python-devel >= 2.5, Pyrex, zlib-devel
Requires(post): /sbin/chkconfig
Requires(preun): /sbin/chkconfig

%description
Simple boot animation code.

See http://wiki.laptop.org/go/Tweaking_the_boot_animation

%prep
%setup

%build
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
mkdir -p $RPM_BUILD_ROOT/usr/bin
mkdir -p $RPM_BUILD_ROOT/usr/lib/python2.5/lib-dynload
mkdir -p $RPM_BUILD_ROOT/usr/share/boot-anim

%{__install} -m 755 boot-anim-start $RPM_BUILD_ROOT/etc/rc.d/init.d/0-boot-anim-start
%{__install} -m 755 boot-anim-stop $RPM_BUILD_ROOT/etc/rc.d/init.d/z-boot-anim-stop
%{__install} -m 755 ul-warning $RPM_BUILD_ROOT/etc/rc.d/init.d/ul-warning

%{__install} -m 755 boot-anim-client $RPM_BUILD_ROOT/usr/bin/rhgb-client

%{__install} -m 755 py{fb,vt}.so $RPM_BUILD_ROOT/usr/lib/python2.5/lib-dynload

%{__install} -m 644 images/frame??.565 images/ul_warning.565 $RPM_BUILD_ROOT/usr/share/boot-anim

%post
/sbin/chkconfig --add 0-boot-anim-start
/sbin/chkconfig --add z-boot-anim-stop
/sbin/chkconfig --add ul-warning

%preun
if [ $1 -eq 0 ]; then
  /sbin/chkconfig --del 0-boot-anim-start
  /sbin/chkconfig --del z-boot-anim-stop
  /sbin/chkconfig --del ul-warning
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc README COPYING

%config %{_sysconfdir}/rc.d/init.d/0-boot-anim-start
%config %{_sysconfdir}/rc.d/init.d/z-boot-anim-stop
%config %{_sysconfdir}/rc.d/init.d/ul-warning
%{_bindir}/rhgb-client
%{_prefix}/share/boot-anim/
%{_libdir}/python2.5/lib-dynload/pyfb.so
%{_libdir}/python2.5/lib-dynload/pyvt.so

%changelog
* Wed Jan 28 2009 Daniel Drake <dsd@laptop.org>
- Rebuild using koji scratch, previous build includes bad pyfb.so

* Tue Dec 23 2008 C. Scott Ananian <cscott@laptop.org>
- Update animation frames to include Fedora branding (trac #9140).

* Sat Jun 28 2008 C. Scott Ananian <cscott@laptop.org>
- Use compressed format for animation frames (trac #5535, #4281).
- Slightly improve 'locked' and 'stolen' XO man icons.

* Fri Jun 27 2008 C. Scott Ananian <cscott@laptop.org>
- Fix silly typo that prevented proper installation of initscript.

* Thu Jun 26 2008 C. Scott Ananian <cscott@laptop.org>
- Build as a proper RPM against F9 dependencies.
